package net.dergrimm.keycloak.providers.events.mqtt

import org.keycloak.events.EventType
import org.keycloak.events.admin.OperationType
import akka.stream.scaladsl.Sink
import akka.stream.alpakka.mqtt.MqttMessage
import akka.Done
import scala.concurrent.Future

final case class MqttEventListenerProviderFactoryData(
    excludedEvents: Option[Set[EventType]],
    excludedAdminOperations: Option[Set[OperationType]],
    mqttOptions: MqttOptions,
    mqttSink: Sink[MqttMessage, Future[Done]]
)
